ConfigParam.Conversion (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class ConfigParam.Conversion

    java.lang.Object
      org.neo4j.kernel.configuration.ConfigParam.Conversion

Enclosing interface:
  ConfigParam

    public static final class ConfigParam.Conversion

extends Object

Utility for converting `ConfigParam` objects to a Map of configuration parameter.s

Author:
  Tobias Lindaaker

Constructor Summary
`ConfigParam.Conversion()`

Method Summary
`static Map<String,String>` | `create(ConfigParam... params)` Create a new configuration map from a set of `ConfigParam` objects.
`static Map<String,String>` | `update(Map<String,String> config, ConfigParam... params)` Updates a configuration map with the specified configuration parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigParam.Conversion

    public ConfigParam.Conversion()

Method Detail

### create

    public static Map<String,String> create(ConfigParam... params)

  Create a new configuration map from a set of `ConfigParam` objects.

  Parameters:
    `params` - the parameters to add to the map.
  Returns:
    a map containing the specified configuration parameters.

### update

    public static Map<String,String> update(Map<String,String> config,
                                            ConfigParam... params)

  Updates a configuration map with the specified configuration parameters.

  Parameters:
    `config` - the map to update.
    `params` - the configuration parameters to update the map with.
  Returns:
    the same configuration map as passed in.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.